VMTKSURFACEDISTANCE(1)

NAME
vmtksurfacedistance - vmtk script vmtksurfacedistance

DESCRIPTION
Automatic piping vmtksurfacedistance Parsing options vmtksurfacedistance

vmtksurfacedistance : compute the pointwise minimum distance of the

    input surface from a reference surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-r ReferenceSurface (vtkPolyData,1): the reference surface

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-distancearray DistanceArrayName (str,1): name of the array where

    the distance of the input surface to the reference surface has to be stored

-distancevectorsarray DistanceVectorsArrayName (str,1): name of the

    array where the distance vectors of the input surface to the reference surface has to be stored

-signeddistancearray SignedDistanceArrayName (str,1): name of the

    array where the signed distance of the input surface to the reference surface is stored; distance is positive if distance vector and normal to the reference surface have negative dot product, i.e. if the input surface is outer with respect to the reference surface

-flipnormals FlipNormals (bool,1); default=0: flip normals to the

    reference surface after computing them

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface